/*
 Theme Name:   Maya Webdesign
 Description:  This is a sample child theme
 Author:       Ania R.
 Template:     Divi
 Version:      1.1
 License:      GNU General Public License v2 or later
 License URI:  http://www.gnu.org/licenses/gpl-2.0.html
 Text Domain:  maya
*/

/* Global Colors */

:root {
	--gray1: #1F2933;
	--gray2: #323F4B;
	--gray3: #3E4C59;
	--gray4: #52606D;
	--gray5: #616E7C;
	--gray6: #7B8794;
	--gray7: #9AA5B1;
	--gray8: #CBD2D9;
	--gray9: #E4E7EB;
	--gray10: #F5F7FA;
}



/* Text Module */

.maya-text h1,
.maya-text h2,
.maya-text h3,
.maya-text h4,
.maya-text h5,
.maya-text h6 {
    padding-bottom: .75em;
}

.maya-text h1:not(:first-child),
.maya-text h2:not(:first-child),
.maya-text h3:not(:first-child),
.maya-text h4:not(:first-child),
.maya-text h5:not(:first-child),
.maya-text h6:not(:first-child) {
    padding-top:1.25em;
}

.maya-text ul li,
.maya-text ol li {
    padding-bottom: .5em;
}

.maya-text p:last-of-type {
    padding-bottom: 1em;
}
.maya-text p:last-child {
    padding-bottom: 0;
}
.maya-text blockquote p:last-of-type {
	padding-bottom:0;
}

.maya-text blockquote {
    background: var(--gray10);
    padding: 25px 35px;
}
.maya-text blockquote {
    position:relative;
}

.maya-text blockquote:before {
    content: '“';
    position: absolute;
    font-size: 5em;
    top: .15em;
    left: 0;
    color:var(--gray9);
}
.maya-text blockquote:after {
    content: '”';
    position: absolute;
    font-size: 5em;
    bottom: -0.45em;
    right: 0.25em;
    color:var(--gray9);
}

.no-top-space {
	padding-top:0!important;
	margin-top:0!important;
}

.no-bottom-space {
	margin-bottom:0!important;
	padding-bottom:0!important;
}


/* Buttons */
.maya-btn.et_pb_button {
    line-height: 1!important;
}


/*
______________________
   
   Header
______________________

*/

/* Page Container overflow */
#page-container {
    overflow-x: hidden;
    overflow-y: auto;
}

   
/* Column alignment */   
#maya-header .et_pb_row {
    align-items: baseline;
}
#maya-header .et_pb_row .et_pb_column:first-child {
    align-self: flex-end;
}

/* Hide CTA for small phones */
@media (max-width:430px) {
    #maya-header .et_pb_column:nth-child(3) {
        display:none;
    }
}

/* Sticky Section background */
#maya-header {
    backdrop-filter: blur(7px);
    -webkit-backdrop-filter: blur(7px);
}

/* Main Menu Module */
#maya-header .et_pb_menu .et-menu>li {
    padding:10px 20px;
}

#maya-header .et_pb_menu .et-menu>li a:hover {
    opacity:1;
}

/* Top Level Menu Hover Effect */
#maya-header .et_pb_menu .et-menu > li a {
    position:relative;
}

#maya-header .et_pb_menu .et-menu > li > a:before {
    content:'';
    display:block;
    position:absolute;
    bottom:-20px;
	left:0;
	right:0;
	height:10px;
	background:url(img/zigzag.svg) repeat-x;
	animation: zigzagPlay 3s infinite linear;
	opacity:0;
	transition:all .3s ease-in-out;
} 

@keyframes zigzagPlay {
	0% {
		background-position: 0;
	}
	100% {
		background-position:-70px;
	}
}

#maya-header .et_pb_menu .et-menu > li > a:hover:before {
	opacity:1;
	bottom:-10px;
}

/* Submenu */
#maya-header .sub-menu {
    border:none;
    border-radius:2px;
    padding:20px;
    width:200px;
    transition:all .3s ease-in-out;
    top:calc(100% + 9px);
}

#maya-header .sub-menu li {
    width:100%;
    padding:0;
}

#maya-header .sub-menu li a {
    padding:0 0 10px;
    font-family:"Barlow", sans-serif;
    font-wieght:700;
    font-size:16px;
    text-transform:none;
    letter-spacing:0;
    background:none;
    transition:all .3s ease-in-out;
}

#maya-header .sub-menu li:last-child a {
    padding:0;
}

#maya-header .sub-menu li a:hover {
    padding-left:5px;
}

#maya-header .nav li:hover > ul, #maya-header .nav li.et-touch-hover > ul {
    top:calc(100% - 1px)
}  
  

/* Mobile Header Structure & Menu */
@media (max-width:980px) {

    #maya-header .et_pb_row {
        display: flex;
        align-items:center;
    }
    #maya-header .et_pb_column {
        margin-bottom:0;
    }
    #maya-header .et_pb_column:nth-child(1) {
        order:1;
    }
    #maya-header .et_pb_column:nth-child(2) {
        order:3;
    }
    #maya-header .et_pb_column:nth-child(3) {
        order:2;
    }

    #maya-header .et_pb_menu__wrap {
        justify-content:flex-end;
    }
    
    /* Mobile Menu */

    #maya-header .mobile_menu_bar:before {
        font-size: 40px;
    }

    #maya-header .opened .mobile_menu_bar:before {
        content:'\4d';
    }

    #maya-header .et_mobile_menu {
        position: fixed;
        display: block!important;
        margin: 0!important;
        height: 100%!important;
        min-height: 100vh;
        padding: 100px 0 0!important;
        max-width: 300px;
        left: auto;
        right: -300px;
        top: 0;
        z-index: 39;
        transition: all 1s ease-in-out;
    }

    #maya-header .opened .et_mobile_menu {
        right: 0;
    }

    #maya-header .mobile_menu_bar {
        z-index: 40;
    }
	
	/* Position "Fixed" inside the Sticky Section fix */
    #maya-header.et_pb_sticky * {
        transform:none!important;
    }
	
	/* Mobile Sub-menu */
    #maya-header .sub-menu {
        width:auto;
        padding:0;
    }
    #maya-header .sub-menu li a,
    #maya-header .sub-menu li a:hover,
    #maya-header .sub-menu li:last-child a {
        padding:10px 25px 10px 35px;
    }

}
  
  
 /*
______________________
   
   Footer
______________________

*/


#maya-footer .et-menu {
    display: block;
}

#maya-footer .et_pb_menu {
    display: inline-block;
    min-width: 200px;
}
  
  
#maya-footer .et_pb_menu .et-menu > li a {
    position:relative;
	transition:all .3s ease-in-out;
	margin-bottom:10px;
}

#maya-footer .et_pb_menu .et-menu > li > a:before {
    content:'';
    display:block;
    position:absolute;
    bottom:10px;
	left:-60px;
	right:auto;
	height:10px;
	width:40px;
	background:url(img/zigzag.svg) repeat-x;
	animation: zigzagPlay 3s infinite linear;
	opacity:0;
	transition:all .3s ease-in-out;
} 

#maya-footer .et_pb_menu .et-menu > li > a:hover:before {
	opacity: 0.5;
    left: -40px;
}  
  
#maya-footer .et_pb_menu .et-menu > li > a:hover {
	padding-left:10px;
}
  
/* Footer CTA Button */

  
a.zigzag-footer-link {
    position:relative;
}

#page-container #et-boc #maya-footer a.zigzag-footer-link:before {
    content: '';
    display: block!important;
    opacity: 1;
    position: absolute;
    bottom: -40px;
    left: auto;
    width: 120%;
    right: -35%;
    height: 30px;
    background: url(img/zig-big.svg) repeat-x;
    animation: zigzagPlay 1s infinite linear;
    transition: all .3s ease-in-out;
    animation-play-state: paused;
}

#page-container #et-boc #maya-footer a.zigzag-footer-link:hover:before {
	animation-play-state:running;
}
  
  
/* Footer Mobile Menu */
@media (max-width:980px) {
	
	#maya-footer .et_mobile_nav_menu {
    display: none;
	}
	
	#maya-footer .et_pb_menu__menu,
	#maya-footer .et_pb_menu__wrap {
	    display: block;
	}
	
}

@media(max-width:320px) {
    #maya-footer .et_pb_text {
        padding:0!important;
        background:none;
    }
    #maya-footer .et_pb_button {
        transform:scale(0.75);
        margin-bottom:50px;
    }
}
  
 /*
______________________
   
   Page Content
______________________

*/
  
/* Decorative elements */

.maya-zigzag-before svg {
    width: 150px;
    margin-left: -170px;
    margin-right: 20px;
}

.maya-zigzag-before svg path {
    fill: var(--gray9);
} 

.dark-zigzag svg path {
    fill: var(--gray6);
} 

@media (max-width:980px) {
	.maya-zigzag-before svg {
		width:100px;
		margin-left: -120px;
	}
}

@media (max-width:767px) {
	.maya-zigzag-before svg {
		width:70px;
		margin-left: -80px;
		margin-right: 10px;
	}
}

.et_pb_text_align_center .maya-zigzag-before svg {
	margin:0 auto 30px;
	display:block;
}

.zigzag-block svg {
	margin:0 0 30px;
	display:block;
}


/* Blurbs in a grid */
.maya-blurb-grid:not(.maya-last) .et_pb_column {
	margin-bottom:3%;
}

@media (max-width:980px) {
	.maya-blurb-grid {
		display:flex;
	}
	
	.maya-blurb-grid .et_pb_column:not(:last-of-type) {
		margin-right:3%;
	}
	.maya-blurb-grid.maya-last .et_pb_column {
		margin-bottom:0;
	}
}


@media (min-width:601px) and (max-width:767px) {
	
	.maya-blurb-grid .et_pb_column:last-of-type {
		display:none;
	}
}

@media (max-width:600px) {
	.maya-blurb-grid {
		display:block;
	}
	.maya-blurb-grid .et_pb_blurb_content {
	    display: flex;
	    align-items: center;
	    justify-content: flex-start;
	}
	
	.maya-blurb-grid.et_pb_row .et_pb_main_blurb_image {
	    margin: 0 20px 0 0;
	    width: 50px;
	}
	.maya-blurb-grid.et_pb_row .et_pb_column {
		margin-bottom:3%;
		margin-right:0;
	}
	.maya-blurb-grid.maya-last .et_pb_column:last-of-type {
		margin-bottom:0;
	}
	.maya-blurb-grid.et_pb_row .et_pb_blurb .et_pb_blurb_container * {
	    text-align: left;
	}
	
	.maya-blurb-grid .et_pb_blurb_container {
    	width: calc(100% - 70px);
    }
}
	

  
 /* Custom Column Structure */

@media (max-width:980px) { 
	.maya-reverse-columns {
		display:flex;
		flex-direction: column-reverse;
	}
}



 /*
______________________
   
   Contact Page
______________________

*/


.maya-contact-hero {
	display:flex;
	align-items: center;
}

.maya-contact .et_pb_button {
	line-height:1!important;
	align-self:center;
}

.maya-contact .et_pb_contact p .et_contact_error {
    border: 3px solid #fb8080!important;
}


@media (max-width:1160px) {
	.maya-contact-hero {
		align-items: flex-start;
	}
	.maya-contact-hero .et_pb_column:nth-child(1) {
		width: 30%;
		margin-right: 15%;
	}
	
}

@media (max-width:980px) {
	.maya-contact-hero .et_pb_column:nth-child(1) {
		width: 45%;
		margin-right: 5%;
	}
	.maya-contact-hero .maya-zigzag-before svg {
	    transform: translateY(70px);
	}
}

@media (max-width:600px) {
	.maya-contact-hero .maya-zigzag-before svg {
	    transform: translateY(40px);
	}
}

@media (max-width:479px) {
	
	.maya-contact-hero {
		display:block;
	}
	
	.maya-contact-hero .et_pb_column:first-child {
		max-width: 50%;
		transform: translateX(-5px);
	}
	.maya-contact-hero .maya-zigzag-before svg {
	    transform: translate(60px,-120px);
	}

}


 /*
______________________
   
   Single Post
______________________

*/

/* Mini Blurbs in Post Meta */
.maya-mini-blurb .et_pb_blurb_content {
    display: flex;
}

.maya-mini-blurb .et_pb_main_blurb_image {
    width: auto;
    margin: 0;
}

.maya-mini-blurb .et_pb_blurb_container {
    padding-left: 10px;
}


/* Post header on mobile */

/* Mising image fix */
#maya-post-header .et_pb_image .et_pb_image_wrap {
	display:block;
}
#maya-post-header .et_pb_image img {
	width:100%;
}


@media (max-width:980px) {
	
	#maya-post-header .et_pb_column:first-child,
	#maya-post-header .et_pb_column:first-child .et_pb_image,
	#maya-post-header .et_pb_column:first-child .et_pb_image_wrap,
	#maya-post-header .et_pb_column:first-child img  {
	    height: 100%;
	    width: 100%;
	}
	
	#maya-post-header .et_pb_column:first-child img {
	    object-fit:cover;
	}
	
}

/* Comments Module */
.maya-comments .comment a {
    color: var(--gray6);
    font-weight: 500;
    font-size: inherit;
}

#page-container .maya-comments #comment-wrap .comment-reply-link {
    background: var(--gray10)!important;
    color: var(--gray7)!important;
    border-color: var(--gray8);
    line-height: 1!important;
    transform: scale(0.8);
}

.maya-comments #comment-wrap form p,
#page-container .maya-comments p.comment-form-cookies-consent label {
    font-size:18px;
    font-family: "Merriweather", serif!important;
}

@media (max-width:980px) {

    .maya-comments #comment-wrap form p,
    .maya-comments p.comment-form-cookies-consent label {
        font-size:16px;
    }
}

@media (max-width:767px) {

    .maya-comments #comment-wrap form p,
    .maya-comments p.comment-form-cookies-consent label {
        font-size:14px;
    }
}

#page-container .maya-comments .submit.et_pb_button {
    line-height:1!important;
}

@media (min-width:768px) {
    body:not(.logged-in) .maya-comments p.comment-form-comment {
        width: 50%;
        float: right;
    }
}
.maya-comments textarea#comment {
    max-height: 11.25em;
}
.maya-comments p.comment-form-cookies-consent {
    clear: both;
}
.maya-comments h1, .maya-comments h2, .maya-comments h3 {
    padding-bottom: 1em;
}


/* Mini Blog - Related Posts */
.maya-mini-blog .et_pb_ajax_pagination_container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.maya-mini-blog article {
    width: 47.5%;
    justify-content: space-between;
    display: flex;
    flex-wrap: wrap;
    align-items:center;
}

.maya-mini-blog .entry-featured-image-url {
    width: 40%;
    margin-bottom:0;
}

.maya-mini-blog .entry-title {
    width: calc(60% - 30px);
    position: relative;
}

.maya-mini-blog .entry-title:after {
	content:'';
    display:block;
    position:absolute;
    bottom:-10px;
	left:-120px;
	right:auto;
	height:15px;
	width:200px;
	background:url(img/zigzag.svg) repeat-x;
	animation: zigzagPlay 2s infinite linear;
	opacity:0;
	transition:all .3s ease-in-out;	
}

.maya-mini-blog article:hover .entry-title:after {
	opacity: 1;
    left: -100px;
}
@media (max-width:980px) {
	.maya-mini-blog .entry-title:after {
		width:120px;
		height:10px;
		bottom:0;
	}
}


.maya-mini-blog .post-meta {flex-basis: 100%;}

.maya-mini-blog .et_pb_ajax_pagination_container > div:last-child {
    width: 100%;
}

@media (max-width:980px) {
    .maya-mini-blog .entry-title {
        width: calc(60% - 20px);
    }
}


@media (max-width:800px) {
    .maya-mini-blog .entry-title {
        width: calc(70% - 20px);
    }
    .maya-mini-blog .entry-featured-image-url {
        width: 30%;
    }
}

@media (max-width:730px) {
    .maya-mini-blog .et_pb_ajax_pagination_container {
        display: block;
    }
    .maya-mini-blog article {
        width: 100%;
        margin-bottom:0!important;
    }
    .maya-mini-blog .entry-title {
        width: calc(80% - 30px);
    }
    .maya-mini-blog .entry-featured-image-url {
        width: 20%;
    }
}




/*
______________________
   
   Blog Index Pages
______________________

*/


/* Blog Grid */
#maya-blog .et_pb_ajax_pagination_container, #maya-blog>div {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(350px, 1fr));
    grid-gap: 50px;
}
@media (max-width:400px) {
	#maya-blog .et_pb_ajax_pagination_container, #maya-blog>div {
    	grid-template-columns: 1fr;
  	}
	
}


@media (max-width:980px) {
	#maya-blog .et_pb_ajax_pagination_container {
    	grid-gap: 35px;
	}
	
}
#maya-blog article {
    background: #fff;
    margin-bottom: 0;
    padding-bottom: 25px;
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
}

#maya-blog article > :not(a.entry-featured-image-url) {
    padding-left: 25px;
    padding-right: 25px;
}

#maya-blog .post-content {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
}

#maya-blog p.post-meta {
    padding-bottom: 25px;
}

#maya-blog .et_pb_ajax_pagination_container > div:last-child {
    grid-column: 1/-1;
}

/* Blog Featured Image */
#maya-blog article img {
    width: 100%;
    height: 250px;
    object-fit: cover;
    filter: grayscale(1);
    transition: all .3s ease-in-out;
}

#maya-blog a.entry-featured-image-url {
    overflow:hidden;
}

#maya-blog article:hover img {
    filter: grayscale(0);
    transform:scale(1.05);
}

/* Read More Button */
#maya-blog a.more-link {
    display: inline-block;
    padding: .5em 1em;
    border: 3px var(--gray8) solid;
    border-radius: 50px;
    margin-top: 25px;
    align-self: flex-end;
    transition: all .3s ease-in-out;
}
#maya-blog a.more-link:hover {
	background:var(--gray9);
	border-color:var(--gray9);
}

/* Image Overlay */
#maya-blog a.entry-featured-image-url:after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background: var(--gray5);
    opacity: 0.6;
    transition: all .3s ease-in-out;
}

#maya-blog article:hover .entry-featured-image-url:after {
    opacity: 0;
}



/* Blog Module Mobile Version */

@media (min-width:651px) and (max-width:816px) {

    #maya-blog a.entry-featured-image-url {
        position: absolute;
        width: 50%;
        height: 100%;
    }

    #maya-blog article > :not(a.entry-featured-image-url) {
        padding-left: calc(50% + 25px);
    }

    #maya-blog .entry-title {
        padding-top: 25px;
    }

    #maya-blog article img {
        height: 100%;
    }

}


@media (min-width:467px) and (max-width:650px) {

    #maya-blog a.entry-featured-image-url {
        position: absolute;
        width: 30%;
        height: 100%;
    }

    #maya-blog article > :not(a.entry-featured-image-url) {
        padding-left: calc(30% + 25px);
    }

    #maya-blog .entry-title {
        padding-top: 25px;
    }

    #maya-blog article img {
        height: 100%;
    }

}

@media (max-width:479px) {
    #maya-blog p.post-meta {
        padding:10px 0 15px;
    }
}

.maya-blog-cta {
    margin: 0;
}

.maya-blog-cta .et_pb_column {
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
}



/*
______________________
   
   Portfolio
______________________

*/


/* Testimonial Module */
.maya-testimonial .et_pb_testimonial_description {
    margin-left: 0!important;
}

.maya-testimonial .et_pb_testimonial_author {
    margin-top: 10px;
}


@media (max-width: 767px) {
    .et_pb_column .maya-testimonial .et_pb_testimonial_portrait {
        margin: 0 15px 0 0;
        float: left;
    }

    .maya-testimonial .et_pb_testimonial_author {
        margin-top: 10px;
    }

}
.maya-testimonial .et_pb_testimonial_content {
    font-style:italic;
}


/* Person Module */

.maya-person .et_pb_team_member_image {
    max-width: 150px;
    margin: 0 auto 25px;
}
   
   
@media (min-width: 768px) and (max-width: 980px) {   
	.et_pb_column .maya-person .et_pb_team_member_image {
		float:none;
	}   
	
	.et_pb_column .maya-person .et_pb_team_member_description {
		display:block;
	}
}

/* Portfolio Module */
.maya-portfolio .et_pb_ajax_pagination_container, .et-fb .maya-portfolio>div {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    grid-gap: 70px;
}

.maya-portfolio .et_pb_portfolio_item > a:after {
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    content: '';
    background: var(--gray3);
    opacity: 0.6;
    transition: all .3s ease-in-out;
}

.maya-portfolio .et_pb_portfolio_item > a img {
	transition: all .3s ease-in-out;
	filter:grayscale(1);
}  

.maya-portfolio .et_pb_module_header {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    transition: all .3s ease-in-out;
    opacity:0;
    margin-top:25px;
}

.maya-portfolio .et_pb_module_header a {
    display: inline-block;
    background: var(--gray3);
    padding: .75em 1.25em;
    border-radius: 50px;
}

.maya-portfolio .et_pb_portfolio_item:hover > a:after {
	opacity:0;
} 

.maya-portfolio .et_pb_portfolio_item:hover .et_pb_module_header {
	opacity:1;
	margin-top:0;
}
.maya-portfolio .et_pb_portfolio_item:hover > a img {
	filter:none;
}

@media (max-width: 980px) {
	.maya-portfolio .et_pb_ajax_pagination_container {
	    grid-gap: 50px;
	}
}

@media (max-width: 767px) {
	.maya-portfolio .et_pb_ajax_pagination_container {
    	grid-template-columns: 1fr;
	}
}


/*
______________________
   
   About Page
______________________

*/

@media (min-width:981px) and (max-width: 1100px) {

	.maya-about-hero .et_pb_image {
		transform: translateX(-10%);
	}
}

.maya-about-hero .et_pb_row {
	display:flex;
}
.maya-about-hero .et_pb_column:first-child {
	align-self:flex-end;
}

@media (max-width: 980px) {
	
	.maya-about-hero .et_pb_column:first-child {
		margin-bottom:0;
	}
	.maya-about-hero .et_pb_row {
		flex-direction:row-reverse;
	}
	.maya-about-hero .et_pb_column {
		width:50%;
	}

}

@media (max-width: 600px) {

	.maya-about-hero .et_pb_row {
		flex-direction:column-reverse;
	}
	.maya-about-hero .et_pb_column {
		width:100%;
	}
	.maya-about-hero .et_pb_image_wrap {
		max-height: 400px;
		overflow: hidden;
		text-align: center;
	}
	.maya-about-hero .et_pb_image_wrap img {
		max-width:70%;
	}
}



/*
______________________
   
   Services
______________________

*/


/* Services List */
.maya-services .et_pb_row {
    display: flex;
}

@media (max-width: 980px) {
	.maya-services .et_pb_row .et_pb_column:first-child {
	    width: 105px!important;
	}
}
@media (max-width: 767px) {
	.maya-services .et_pb_row .et_pb_column:first-child {
	    width: 75px!important;
	}
}

/* Typing Effect Cursor */
.animate-typing:after {
    font-weight: 500;
    color: var(--gray8);
}


/*
______________________
   
   Final Touches
______________________

*/

/* Remove Columns Margin */
.no-column-margin.et_pb_row .et_pb_column {
	margin-bottom:0!important;
}


/* Add Line Breat on Mobile */
.mobile-break {
	display: none;
}

@media (max-width: 980px) {
	.mobile-break {
		display: block;
	}
}


/* Back to top Button */
.et_pb_scroll_top.et-pb-icon {
    right: 10px;
    border-radius: 50%;
    padding: 10px;
    background: var(--gray3);
}

.et_pb_scroll_top.et-pb-icon:before {
    content: '\21';
}

















